#ifndef __OPENMV_OPT__
#define __OPENMV_OPT__

#include <ExtSRAMInterface.h>
#include "AccurateMotor.h"
#include "GlobalDatas.h"
#include <Command.h>
#include <BEEP.h>

namespace OpenMVOpt
{
	extern uint8_t Data_OpenMVBuf[8];
	extern uint8_t ROI_Query_CMD[8];

	//bool TrackCallback();
	//falseֹͣѭѭ
	typedef bool(*TrackCallback)();

	struct ImageROIData
	{
		bool up;
		bool down;
		bool left;
		bool right;
		bool middle_up;
		bool middle_down;
		bool data_validate;
	};

	//̬
	void AdjustCarPosition(uint8_t Car_Speed);
	bool AdjustCarPoseInPlace();

	//ROI
	ImageROIData GetROIData();
	//Ƿ˴ɫ
	bool ROIFoundWhite(const ImageROIData& data);

	//Ƶѭ
	void OpenMVTrack_Disc_StartUp();
	//ֹͣƵѭ
	void OpenMVTrack_Disc_CloseUp();
	//ѭһ·ڣ
	void OpenMV_Track(uint8_t Car_Speed, TrackCallback cb, bool enable_white_detect = true);
	//ԭѭ̬н
	void OpenMV_TrackInPlace();

	//άʶ
	void OpenMVQr_Disc_StartUp();
	//ֹͣάʶ
	void OpenMVQr_Disc_CloseUp();

	//Ƕȿ
	void Servo_Control(int8_t angle);
};

#endif