// VoiceReportCommand.h

#ifndef _VOICEIDENTIFYCOMMAND_h
#define _VOICEIDENTIFYCOMMAND_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "arduino.h"
#else
	#include "WProgram.h"
#endif

#include <BKRC_Voice.h>
#include "TextEncoder.h"

class VoiceIdentifyCommand
{
private:
	uint8_t RandomDisc();
public:
	bool CMD_ReportAndIdentify();
	void CMD_ReportAnyText(String text);
};

#endif

